# 32/64bit spec-file
#

%define cryptmountmajor 0
%define libname %mklibname cryptmount %{cryptmountmajor}
%define libdevel %mklibname cryptmount -d

Name:		pam_mount
Version:	2.16
Release:	%mkrel 1
Summary:	Pluggable Authentication Module for dynamic mounting of remote volumes
Summary(de):	PAM-Modul, welches es erlaubt dynamisch entfernte Laufwerke einzubinden
License:	GPLv2+ and LGPLv2+
Group:		Networking/Other
URL:		http://pam-mount.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.xz
Requires:	opensc
BuildRequires:	pam-devel
BuildRequires:	zlib-devel
BuildRequires:	glib2-devel
BuildRequires:	%{_lib}HX-devel >= 3.6
BuildRequires:	%{_lib}xml2-devel >= 2.6
BuildRequires:	openssl-devel
BuildRequires:	cryptsetup-devel >= 1.1.2
BuildRequires:	%{_lib}mount-devel
Obsoletes:	pam_mount-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Pam_mount is a PAM module that allows dynamic remote volume mounting.
It is mainly useful for users that have private volumes in Samba /
Windows NT / Netware servers and need access to them during a Unix
session.

%description -l de
Pam_mount ist ein PAM-Modul, welches es erlaubt dynamisch entfernte 
Laufwerke einzubinden. Es ist hauptsächlich für Nutzer von privaten 
Samba-/Windows NT-/Netware Serverlaufwerken, die Zugang zu diesen 
wäherend einer Unix Session benötigen, nützlich.

%package -n %{libname}
Summary:        Library to mount crypto images and handle key files
Group:          System/Libraries

%description -n %{libname}
libcryptmount takes care of the many steps involved in making a
crypto image (file) available as a mountable block device, including
supplemental key file decryption, loop device setup and crypto device
setup. It supports pam_mount style plain EHD2/OpenSSL images and LUKS
and transparent use of the OS's crypto layer.

%package -n %{libdevel}
Summary:        Development files for libcryptmount
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %version

%description -n %{libdevel}
libcryptmount takes care of the many steps involved in making a
crypto image (file) available as a mountable block device, including
supplemental key file decryption, loop device setup and crypto device
setup. It supports pam_mount style plain EHD2/OpenSSL images and LUKS
and transparent use of the OS's crypto layer.


%prep
%setup -q

%build
%configure2_5x
%make moduledir=/%{_lib}/security

%install
rm -rf %{buildroot}
%makeinstall_std moduledir=/%{_lib}/security
install -m0600 config/pam_mount.conf.xml -D %{buildroot}%{_sysconfdir}/security/pam_mount.conf.xml

# remove static lib
rm -f %{buildroot}%{_libdir}/libcryptmount.la

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc doc/bugs.txt doc/news.txt doc/options.txt doc/faq.txt doc/todo.txt doc/pam_mount.txt
/%{_lib}/security/pam_mount*.so
%{_sbindir}/pmt-ehd
%{_sbindir}/pmvarrun
/sbin/mount.crypt
/sbin/mount.crypto_LUKS
/sbin/mount.crypt_LUKS
#/sbin/mount.encfs13
/sbin/umount.crypt
/sbin/umount.crypt_LUKS
/sbin/umount.crypto_LUKS
%config(noreplace) %{_sysconfdir}/security/%{name}.conf.xml
%{_mandir}/man8/pam_mount.8*
%{_mandir}/man8/pmt-ehd.8*
%{_mandir}/man8/pmvarrun.8*
%{_mandir}/man8/mount.crypt.8*
%{_mandir}/man8/mount.crypt_LUKS.8*
%{_mandir}/man8/mount.crypto_LUKS.8*
%{_mandir}/man8/umount.crypt.8*
%{_mandir}/man8/umount.crypt_LUKS.8*
%{_mandir}/man8/umount.crypto_LUKS.8*
%{_mandir}/man5/pam_mount.conf.5*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libcryptmount.so.%{cryptmountmajor}*

%files -n %{libdevel}
%defattr(-,root,root)
%{_includedir}/libcryptmount.h
%{_libdir}/libcryptmount.so
%{_libdir}/pkgconfig/libcryptmount.pc

%changelog
* Mon Mar 26 2018 ghostbunny <ghostbunny at gmx dot de> 2.16-1pclos2018
- 2.16 update for new cryptsetup version

* Fri Jun 07 2013 ghostbunny <ghostbunny at gmx dot de> 2.13-1pclos2013
- 2.13
- added library packages

* Wed May 01 2013 Texstar <texstar at gmail.com> 2.12-3pclos2013
- rebuild for new libcryptsetup

* Mon Jan 21 2012 ghostbunny <ghostbunny at gmx dot de> 2.12-2pclos2013
- rebuild for new cryptsetup and 32bit
- added german summary and description
- added %{_lib} macros
- added BR libmount-devel
- commented mount-encfs does not build

* Fri Oct 07 2011 Texstar <texstar at gmail.com> 2.12-1pclos2011
- 2.12

* Thu Jul 07 2011 Texstar <texstar at gmail.com> 2.10-1pclos2011
- import into pclos 2011

